classification
Title: More verbose error message for Py_FindMethod
Type: Stage:
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, georg.brandl, gpolo
Priority: normal Keywords: patch

Created on 2008-11-30 19:55 by gpolo, last changed 2010-08-21 23:45 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
FindMethod_verbose_err.diff gpolo, 2008-11-30 19:55
Messages (4)
msg76659 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-30 19:55
As was told in
http://mail.python.org/pipermail/python-dev/2008-November/083782.html
some objects may print a not so nice message when an attribute is not
found. 
I considered this was due to Py_FindMethod being so easy to use that is
probably used in several extensions but it doesn't set a good error message.
msg76668 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-11-30 22:00
Py_FindMethod was removed in 3.0
msg76671 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-12-01 00:12
Yes, it was a mistake to set the version for py3k too, that is why I
removed after noticing it.
msg114609 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 23:45
Closing now that 2.x is in bugfix-only.
History
Date User Action Args
2010-08-21 23:45:02georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114609

resolution: out of date
2008-12-01 00:12:05gpolosetmessages: + msg76671
2008-11-30 22:00:10amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg76668
2008-11-30 21:58:27gpolosetversions: - Python 3.0, Python 3.1
2008-11-30 19:55:32gpolocreate